/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.vodafone;

/**
 * ボーダフォン端末の詳細な型を表す列挙型です。
 * 
 * @author 杉澤 浩二
 */
public enum VodafoneType {

	/**
	 * C2型端末
	 */
	C2,

	/**
	 * C3型端末
	 */
	C3,

	/**
	 * C4型端末
	 */
	C4,

	/**
	 * 不明なC型端末
	 */
	UNKNOWN_C,

	/**
	 * P4(1)型端末
	 */
	P4_1,

	/**
	 * P4(2)型端末
	 */
	P4_2,

	/**
	 * P5型端末
	 */
	P5,

	/**
	 * P6型端末
	 */
	P6,

	/**
	 * P7型端末
	 */
	P7,

	/**
	 * 不明なP型端末
	 */
	UNKNOWN_P,

	/**
	 * W型端末
	 */
	W,

	/**
	 * 3GC型端末(X)
	 */
	X_3GC,

	/**
	 * 3GC型端末(S)
	 */
	S_3GC,

	/**
	 * 不明な型
	 */
	UNKNOWN;

	/**
	 * ボーダフォン端末の型を返します。
	 * 
	 * @return ボーダフォン端末の型
	 */
	public VodafoneCategoryType getCategoryType() {
		if (this == C2 || this == C3 || this == C4 || this == UNKNOWN_C)
			return VodafoneCategoryType.C;
		if (this == P4_1 || this == P4_2 || this == P5 || this == P6 || this == P7 || this == UNKNOWN_P)
			return VodafoneCategoryType.P;
		if (this == W)
			return VodafoneCategoryType.W;
		if (this == X_3GC || this == S_3GC)
			return VodafoneCategoryType.THREE_GC;

		return VodafoneCategoryType.UNKNOWN;
	}

}
